import { Volunteer } from "@/icons/Volunteer";
import {
  faCalendar,
  faQuestionCircle,
  faTasks,
} from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import Image from "next/image";
import { useState } from "react";

interface CertProps {
  name: string;
  fileName: string;
  issuer: string;
  date: Date;
}

export const Certification = (props: CertProps): JSX.Element => {
  const { name, fileName, issuer, date } = props;

  return (
    <div className="w-[300px] h-[300px] border-2 border-solid border-[--foreground] m-auto text-center items-center">
      <p className="text-xl">{name}</p>
      <a
        href={`https://cdn.nhcarrigan.com/certifications/${fileName}`}
        target="_blank"
        rel="noreferrer"
      >
        <Image
          src={`https://cdn.nhcarrigan.com/certifications/${fileName}`}
          alt={name}
          width={250}
          height={250}
          className="m-auto"
        />
      </a>
      <p>{issuer}</p>
      <p>
        {date.toLocaleDateString("en-GB", {
          month: "long",
          year: "numeric",
        })}
      </p>
    </div>
  );
};
